public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/slixmpp/
Date: Sat,  1 May 2021 07:45:06 +0000 (UTC)	[thread overview]
Message-ID: <1619855100.bcd5c2533a22a16ed948ba645d1891a0334f5331.mgorny@gentoo> (raw)

commit:     bcd5c2533a22a16ed948ba645d1891a0334f5331
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May  1 06:37:39 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May  1 07:45:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bcd5c253

dev-python/slixmpp: Bump to 1.7.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/slixmpp/Manifest             |  1 +
 dev-python/slixmpp/slixmpp-1.7.1.ebuild | 38 +++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/slixmpp/Manifest b/dev-python/slixmpp/Manifest
index 782ce40d379..d99bb3e3e83 100644
--- a/dev-python/slixmpp/Manifest
+++ b/dev-python/slixmpp/Manifest
@@ -1 +1,2 @@
 DIST slixmpp-1.7.0.tar.gz 931610 BLAKE2B bb84e33681cc2701dbfc164ad4e727236dbe5fe1206a4c4e93843f9cbd870b6b3efb03b89ae61ddde4249c4928a81edaea9caf1d04b88e3b5cb0e81b1fe3fad7 SHA512 1f70f6b0419877865b80213a50ba181639cbf64fd808695d7a95eae460635a537492f72bed0e6d77d33dc9a5da4ec505da4cd44526bdee2a39b56b98a9974cfc
+DIST slixmpp-1.7.1.tar.gz 931753 BLAKE2B 3de14be36353bc5f5f2cfbe002c44c5e843a7b36fa31a9dd315e363fc67e36d080df0dc70d82e65c6802c41377c2e98f56ff4e23cc5e9a92165c3d3b7565493f SHA512 5a59fcbb901e6f4456049f1ec2bbf781b1ec7c5a3ad4b66216d4c5daffa7f0606f74b941647fe2b53e6c8cdc476371305c7b7a2ca24d21450e19548f888be3b1

diff --git a/dev-python/slixmpp/slixmpp-1.7.1.ebuild b/dev-python/slixmpp/slixmpp-1.7.1.ebuild
new file mode 100644
index 00000000000..0f5e88aa5f6
--- /dev/null
+++ b/dev-python/slixmpp/slixmpp-1.7.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 library for XMPP"
+HOMEPAGE="https://lab.louiz.org/poezio/slixmpp"
+LICENSE="MIT"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+	EGIT_REPO_URI="https://lab.louiz.org/poezio/${PN}.git"
+	inherit git-r3
+else
+	SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+DEPEND="
+	net-dns/libidn
+"
+RDEPEND="
+	dev-python/aiodns[${PYTHON_USEDEP}]
+	dev-python/aiohttp[${PYTHON_USEDEP}]
+	dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+	dev-python/pyasn1[${PYTHON_USEDEP}]
+	${DEPEND}
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+	"${EPYTHON}" ./run_tests.py || die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2021-05-01  7:45 UTC|newest]

Thread overview: 58+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-01  7:45 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-29 10:14 [gentoo-commits] repo/gentoo:master commit in: dev-python/slixmpp/ Sam James
2025-03-27  4:16 Michał Górny
2025-03-27  4:16 Michał Górny
2025-03-12  8:31 Michał Górny
2025-02-28  4:42 Michał Górny
2025-01-18 10:03 Michał Górny
2025-01-18  9:25 Arthur Zamarin
2024-12-29  3:21 Michał Górny
2024-06-19 12:50 Petr Vaněk
2024-05-30 16:53 Florian Schmaus
2024-02-24 20:07 Michał Górny
2024-02-24 19:22 Arthur Zamarin
2024-02-07  7:39 Michał Górny
2023-12-22 16:43 Michał Górny
2023-11-05 16:27 Michał Górny
2023-11-05 16:27 Michał Górny
2023-10-14 12:57 Florian Schmaus
2023-08-06 10:03 Michał Górny
2023-08-06 10:03 Michał Górny
2023-07-24 12:56 Michał Górny
2023-07-01 17:20 Florian Schmaus
2023-05-29  6:23 Michał Górny
2023-05-04 16:56 Michał Górny
2023-03-16 18:52 Michał Górny
2022-11-14  3:37 Michał Górny
2022-11-13 20:59 Sam James
2022-11-13 11:06 Florian Schmaus
2022-07-29 16:37 Arthur Zamarin
2022-05-15 10:41 Michał Górny
2022-05-15  8:19 Jakov Smolić
2022-04-24 18:44 Jakov Smolić
2022-04-13 14:46 Sam James
2022-04-07  7:53 Michał Górny
2022-04-07  4:27 Michał Górny
2022-03-31 13:55 Jakov Smolić
2022-03-21  8:54 Michał Górny
2022-02-28  8:28 Michał Górny
2021-07-12 14:20 Florian Schmaus
2021-06-24  8:39 Florian Schmaus
2021-06-06  7:14 Agostino Sarubbo
2021-05-23 11:36 Michał Górny
2021-03-02  9:06 Michał Górny
2021-03-02  8:42 Sam James
2021-01-30  9:19 Michał Górny
2021-01-30  9:19 Michał Górny
2021-01-03  9:12 Sam James
2020-12-14 13:03 Andrey Utkin
2020-10-28  7:28 Andrey Utkin
2020-10-06  6:50 Andrey Utkin
2020-09-01 20:17 Andrey Utkin
2020-08-16  9:57 Michał Górny
2020-04-26 10:17 Michał Górny
2020-03-29  8:20 Michał Górny
2019-02-25 20:13 Andrey Utkin
2019-02-25 20:13 Andrey Utkin
2019-02-25 20:13 Andrey Utkin
2018-08-18 19:54 Andrey Utkin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1619855100.bcd5c2533a22a16ed948ba645d1891a0334f5331.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox